Subject: bug#30064: closed (Re: bug#30064: 27.0.50; Improve grammar of map-y-or-n-p help text)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Jan 2018 12:26:02 +0000

Your bug report

#30064: 27.0.50; Improve grammar of map-y-or-n-p help text

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30064: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30064
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30064: 27.0.50; Improve grammar of map-y-or-n-p help text
From: Eli Zaretskii <[email-masked]>
To: "Basil L. Contovounesios" <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Jan 2018 14:25:05 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Wed, 10 Jan 2018 15:25:39 +0000
> 
> I was able to make some minor improvements/simplifications to the logic
> surrounding my last patch.  I attach a patch to this effect, along with
> a reworded version of the original patch to include the assigned bug
> ticket number.

Thanks, pushed to the master branch.

Subject: 27.0.50; Improve grammar of map-y-or-n-p help text
From: "Basil L. Contovounesios" <[email-masked]>
To: [email-masked]
Date: Wed, 10 Jan 2018 14:25:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

>From c846d0f52a398e97f0cf705c2ae17a93629e2e66 Mon Sep 17 00:00:00 2001
From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 10 Jan 2018 13:55:29 +0000
Subject: [PATCH] Improve grammar of map-y-or-n-p help text

* lisp/emacs-lisp/map-ynp.el (map-y-or-n-p): Do not follow a
definite article with an action verb in C-h help text.
---
 lisp/emacs-lisp/map-ynp.el | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/lisp/emacs-lisp/map-ynp.el b/lisp/emacs-lisp/map-ynp.el
index 2a7eddedad..5aa2a6fad1 100644
--- a/lisp/emacs-lisp/map-ynp.el
+++ b/lisp/emacs-lisp/map-ynp.el
@@ -197,14 +197,14 @@ map-y-or-n-p
 				   (objects (if help (nth 1 help) "objects"))
 				   (action (if help (nth 2 help) "act on")))
 			       (concat
-				(format-message "\
+                                (format-message
+                                 "\
 Type SPC or `y' to %s the current %s;
 DEL or `n' to skip the current %s;
-RET or `q' to give up on the %s (skip all remaining %s);
+RET or `q' to skip the current and all remaining %s;
 C-g to quit (cancel the whole command);
 ! to %s all remaining %s;\n"
-					action object object action objects action
-					objects)
+                                 action object object objects action objects)
 				(mapconcat (function
 					    (lambda (elt)
 					      (format "%s to %s"
-- 
2.15.1

The help text displayed by the function map-y-or-n-p when the user types
C-h contains the following grammatically dubious phrase:

  RET or ‘q’ to give up on the act on (skip all remaining objects);
                           ^^^^^^^^^^

where an (configurable) action verb follows the definite article.

I attach a patch to both avoid this and clarify that the current object
is skipped as well as all remaining ones.

Thanks,

-- 
Basil

In GNU Emacs 27.0.50 (build 13, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2018-01-03 built on thunk
Repository revision: f8b4e87d5d4f57954b50677add76ce5136211dc1
Windowing system distributor 'The X.Org Foundation', version 11.0.11905000
System Description: Debian GNU/Linux testing (buster)